Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Canvas

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Identity, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CanvasImpl

    public interface Canvas

extends Identity

A representation of the model object 'Canvas'.

The following features are supported:

- `Figures`
- `Nodes`
- `Connections`
- `Compartments`
- `Labels`

See Also:
  `GMFGraphPackage.getCanvas()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<Compartment>` `getCompartments()` Returns the value of the 'Compartments' containment reference list.
`org.eclipse.emf.common.util.EList<Connection>` `getConnections()` Returns the value of the 'Connections' containment reference list.
`org.eclipse.emf.common.util.EList<FigureGallery>` `getFigures()` Returns the value of the 'Figures' containment reference list.
`org.eclipse.emf.common.util.EList<DiagramLabel>` `getLabels()` Returns the value of the 'Labels' containment reference list.
`org.eclipse.emf.common.util.EList<Node>` `getNodes()` Returns the value of the 'Nodes' containment reference list.

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigures

    org.eclipse.emf.common.util.EList<FigureGallery> getFigures()

  Returns the value of the 'Figures' containment reference list. The list contents are of type `FigureGallery`.

  If the meaning of the 'Figures' containment reference list isn't clear, there really should be more of a description here...

  containment here doesn't restrict nodes/connection from using figure galeries defined elsewhere. No assumption should be made whether or not node/connection figure is defined in the galery beloning to this canvas

  Returns:
    the value of the 'Figures' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Figures()`
  ** Generated **
  Model:
    containment="true"

### getNodes

    org.eclipse.emf.common.util.EList<Node> getNodes()

  Returns the value of the 'Nodes' containment reference list. The list contents are of type `Node`.

  If the meaning of the 'Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nodes' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Nodes()`
  ** Generated **
  Model:
    containment="true"

### getConnections

    org.eclipse.emf.common.util.EList<Connection> getConnections()

  Returns the value of the 'Connections' containment reference list. The list contents are of type `Connection`.

  If the meaning of the 'Connections' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Connections' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Connections()`
  ** Generated **
  Model:
    containment="true"

### getCompartments

    org.eclipse.emf.common.util.EList<Compartment> getCompartments()

  Returns the value of the 'Compartments' containment reference list. The list contents are of type `Compartment`.

  If the meaning of the 'Compartments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Compartments' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Compartments()`
  ** Generated **
  Model:
    containment="true"

### getLabels

    org.eclipse.emf.common.util.EList<DiagramLabel> getLabels()

  Returns the value of the 'Labels' containment reference list. The list contents are of type `DiagramLabel`.

  If the meaning of the 'Labels' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Labels' containment reference list.
  See Also:
    `GMFGraphPackage.getCanvas_Labels()`
  ** Generated **
  Model:
    containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.